Module jdk.xml.dom
Package org.w3c.dom.css

# Interface CSSStyleRule

All Superinterfaces:
  `CSSRule`

public interface CSSStyleRule extends CSSRule
The `CSSStyleRule` interface represents a single rule set in a CSS style sheet.

See also the Document Object Model (DOM) Level 2 Style Specification.

Since:
  1.4, DOM Level 2

## Field Summary

### Fields declared in interface org.w3c.dom.css.CSSRule

`CHARSET_RULE, FONT_FACE_RULE, IMPORT_RULE, MEDIA_RULE, PAGE_RULE, STYLE_RULE, UNKNOWN_RULE`

## Method Summary

Modifier and Type
Method
Description
`String`
`getSelectorText()`
The textual representation of the selector for the rule set.
`CSSStyleDeclaration`
`getStyle()`
The declaration-block of this rule set.
`void`
`setSelectorText(String selectorText)`
The textual representation of the selector for the rule set.

### Methods declared in interface org.w3c.dom.css.CSSRule

`getCssText, getParentRule, getParentStyleSheet, getType, setCssText`

## Method Details

### getSelectorText

String getSelectorText()
The textual representation of the selector for the rule set. The implementation may have stripped out insignificant whitespace while parsing the selector.

### setSelectorText

void setSelectorText(String selectorText) throws DOMException
The textual representation of the selector for the rule set. The implementation may have stripped out insignificant whitespace while parsing the selector.

Throws:
  `DOMException` - SYNTAX_ERR: Raised if the specified CSS string value has a syntax error and is unparsable.
  NO_MODIFICATION_ALLOWED_ERR: Raised if this rule is readonly.

### getStyle

CSSStyleDeclaration getStyle()
The declaration-block of this rule set.